MAT_CLOSE(3)

NAME
Mat_Close - Closes an open MATLAB .mat file

SYNOPSIS
#include <matio.h>
int
Mat_Close(mat_t *matname);

DESCRIPTION
The Mat_Close() function closes a MATLAB .mat file opened with Mat_Open() or created with Mat_CreateVer()

EXAMPLES

    #include "matio.h"
    int main(int argc,char **argv)
    {
        mat_t *matfp;
        matfp = Mat_Open(argv[1],MAT_ACC_RDONLY);
        if ( NULL == matfp ) {
            fprintf(stderr,"Error opening MAT file %s,argv[1]);
            return EXIT_FAILURE;
        }
        Mat_Close(matfp);
        return EXIT_SUCCESS;
    }

SEE ALSO
Mat_Open(3), Mat_CreateVer(3),